> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Sora-2-Pro 동영상 생성

> - Sora 2 Pro (sora-2-pro-preview) 모델은 텍스트-투-비디오, 이미지-투-비디오 등의 모드를 지원합니다
- 비동기 처리 모드이며, 반환된 작업 ID를 사용하여 [조회](/ko/api-manual/task-management/get-task-detail)하세요
- 생성된 영상 링크는 24시간 동안 유효하므로 즉시 저장하세요

**참고:**
- 현재 Sora2Pro의 콘텐츠 검수 메커니즘이 매우 엄격하여 작업이 실패할 수 있습니다
- 실제 인물이 포함된 이미지 입력은 현재 지원되지 않습니다



## OpenAPI

````yaml ko/api-manual/video-series/sora2pro/sora-2-pro-preview-video-generate.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: sora-2-pro-preview 인터페이스
  description: AI 모델을 사용하여 영상 생성 작업을 생성하며, 텍스트-투-비디오, 이미지-투-비디오 등의 생성 모드를 지원합니다
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: 프로덕션 환경
security:
  - bearerAuth: []
tags:
  - name: 비디오 생성
    description: AI 영상 생성 관련 API
paths:
  /v1/videos/generations:
    post:
      tags:
        - 비디오 생성
      summary: sora-2-pro-preview 인터페이스
      description: >-
        - Sora 2 Pro (sora-2-pro-preview) 모델은 텍스트-투-비디오, 이미지-투-비디오 등의 모드를 지원합니다

        - 비동기 처리 모드이며, 반환된 작업 ID를 사용하여
        [조회](/ko/api-manual/task-management/get-task-detail)하세요

        - 생성된 영상 링크는 24시간 동안 유효하므로 즉시 저장하세요


        **참고:**

        - 현재 Sora2Pro의 콘텐츠 검수 메커니즘이 매우 엄격하여 작업이 실패할 수 있습니다

        - 실제 인물이 포함된 이미지 입력은 현재 지원되지 않습니다
      operationId: createVideoGeneration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoGenerationRequest'
            examples:
              text_to_video:
                summary: 텍스트-투-비디오
                value:
                  model: sora-2-pro-preview
                  prompt: A cat playing piano
      responses:
        '200':
          description: 비디오 생성 작업이 성공적으로 생성되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoGenerationResponse'
        '400':
          description: 요청 매개변수가 잘못되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 인증되지 않았거나 토큰이 유효하지 않거나 만료되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: 할당량이 부족합니다. 충전이 필요합니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: 접근이 거부되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: 'Token does not have access to model: sora-2-pro-preview'
                  type: invalid_request_error
        '429':
          description: 요청 한도를 초과했습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: 서버 내부 오류
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    VideoGenerationRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          type: string
          description: 비디오 생성 모델 이름
          enum:
            - sora-2-pro-preview
          default: sora-2-pro-preview
          example: sora-2-pro-preview
        prompt:
          type: string
          description: 생성할 영상을 설명하는 프롬프트, 5000 토큰으로 제한
          example: A cat playing piano
          maxLength: 5000
        aspect_ratio:
          type: string
          description: 영상 화면 비율, `16:9`는 가로 영상을, `9:16`은 세로 영상을 생성합니다
          enum:
            - '16:9'
            - '9:16'
          example: '16:9'
        duration:
          type: integer
          description: |-
            생성되는 영상 길이(초)를 지정합니다

            **참고:**
            - 현재 `4`, `8`, `12` 값만 지원되며, 각각 `4초`, `8초`, `12초`를 나타냅니다
            - 과금은 `duration` 값을 기준으로 하며, 길이가 길수록 비용이 높아집니다
          example: 4
        quality:
          type: string
          description: |-
            영상 품질

            **참고:**
            - `720p`: 표준 품질, 표준 가격
            - `1080p`: 고품질, 가격 배율은 1.667배
          enum:
            - 720p
            - 1080p
          example: 720p
        image_urls:
          type: array
          description: >-
            이미지-투-비디오 기능을 위한 참조 이미지 URL 목록


            **참고:**

            - 실제 인물이 포함된 이미지는 지원되지 않습니다

            - 단일 요청 지원 이미지 수: `1`장

            - 이미지 크기: `10MB` 이하

            - 지원 파일 형식: `.jpg`, `.jpeg`, `.png`, `.webp`

            - 이미지 URL은 서버에서 직접 조회 가능하거나, 접근 시 직접 다운로드가 시작되어야 합니다 (일반적으로 `.png`,
            `.jpg` 등 이미지 확장자로 끝나는 URL)
          items:
            type: string
            format: uri
          maxItems: 1
          example:
            - http://example.com/image1.jpg
        callback_url:
          type: string
          description: >-
            작업 완료 후 HTTPS 콜백 주소


            **콜백 타이밍:**

            - 작업이 완료, 실패 또는 취소될 때 트리거됨

            - 과금 확인 완료 후 전송


            **보안 제한:**

            - HTTPS 프로토콜만 지원

            - 내부 IP 주소로의 콜백 금지 (127.0.0.1, 10.x.x.x, 172.16-31.x.x, 192.168.x.x
            등)

            - URL 길이는 `2048`자를 초과할 수 없음


            **콜백 메커니즘:**

            - 타임아웃: `10`초

            - 실패 시 최대 `3`회 재시도 (`1`초/`2`초/`4`초 후 재시도)

            - 콜백 응답 본문 형식은 작업 조회 API 응답 형식과 동일

            - 콜백 주소가 2xx 상태 코드를 반환하면 성공으로 간주, 다른 상태 코드는 재시도를 트리거
          format: uri
          example: https://your-domain.com/webhooks/video-task-completed
    VideoGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: 작업 생성 타임스탬프
          example: 1757169743
        id:
          type: string
          description: 작업 ID
          example: task-unified-1757169743-7cvnl5zw
        model:
          type: string
          description: 실제 사용된 모델 이름
          example: sora-2-pro-preview
        object:
          type: string
          enum:
            - video.generation.task
          description: 특정 작업 유형
        progress:
          type: integer
          description: 작업 진행률 (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: 작업 상태
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/VideoTaskInfo'
          description: 비디오 작업 상세 정보
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: 작업 출력 유형
          example: video
        usage:
          $ref: '#/components/schemas/VideoUsage'
          description: 사용량 및 과금 정보
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: 오류 코드 식별자
            message:
              type: string
              description: 오류 설명
            type:
              type: string
              description: 오류 유형
    VideoTaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: 작업 취소 가능 여부
          example: true
        estimated_time:
          type: integer
          description: 예상 완료 시간 (초)
          minimum: 0
          example: 300
        video_duration:
          type: integer
          description: 비디오 길이 (초)
          example: 9
    VideoUsage:
      type: object
      description: 사용량 및 과금 정보
      properties:
        billing_rule:
          type: string
          description: 과금 규칙
          enum:
            - per_call
            - per_token
            - per_second
          example: per_second
        credits_reserved:
          type: number
          description: 예상 소비 크레딧
          minimum: 0
          example: 7
        user_group:
          type: string
          description: 사용자 그룹 카테고리
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ##모든 API는 Bearer Token 인증이 필요합니다##

        **API Key 받기:**

        [API Key 관리 페이지](https://evolink.ai/dashboard/keys)를 방문하여 API Key를 받으세요

        **요청 헤더에 추가:**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````